#ifndef _OWLPS_POSITIONING_ACCESSPOINTSREADERCSV_HH_
#define _OWLPS_POSITIONING_ACCESSPOINTSREADERCSV_HH_

class Point3D ;

#include "csvfilereader.hh"

#include <string>

/// Reads and registers to the Stock AccessPoint list from CSV files
/**
 * CSV format for access points is:
 *   MAC;X;Y;Z;Frequency_Hz;Antenna_gain_dBi;Trx_power_dBm
 */
class AccessPointsReaderCSV
{
protected:
  CSVFileReader file ;

  void read_devices(void) ;
  void process_device_line(void) ;

public:
  AccessPointsReaderCSV(const std::string &file_name) ;

  ~AccessPointsReaderCSV(void) {}
} ;

#endif // _OWLPS_POSITIONING_ACCESSPOINTSREADERCSV_HH_
