#ifndef _OWLPS_POSITIONING_FBCM_HH_
#define _OWLPS_POSITIONING_FBCM_HH_

#include "multilaterationalgorithm.hh"

/// Computes a position using the Interlink Networks formula
class FBCM: public MultilaterationAlgorithm
{
protected:
  float friis_index(const AccessPoint *const ap) const ;

public:
  FBCM(void): PositioningAlgorithm("FBCM") {}
  ~FBCM(void) {}

  /** @name Operations */
  //@{
  Result compute(const Request &_request) ;
  float estimate_distance(const Measurement &measurement) ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_FBCM_HH_
