#ifndef _OWLPS_POSITIONING_FRBHMBASIC_HH_
#define _OWLPS_POSITIONING_FRBHMBASIC_HH_

#include "fbcm.hh"
#include "radar.hh"

/// Computes a position using the Interlink Networks formula
class FRBHMBasic: public FBCM, public RADAR
{
protected:
  ReferencePoint const *closest_in_ss ;

  float friis_index(const AccessPoint *const ap) const ;

public:
  FRBHMBasic(void):
    PositioningAlgorithm("FRBHMBasic"), closest_in_ss(NULL) {}
  ~FRBHMBasic(void) {}

  /** @name Operations */
  //@{
  Result compute(const Request &_request) ;
  float estimate_distance(const Measurement &measurement) ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_FRBHMBASIC_HH_
