#ifndef _OWLPS_POSITIONING_OUTPUT_HH_
#define _OWLPS_POSITIONING_OUTPUT_HH_

class OutputMedium ;
class ResultList ;

#include <vector>

/// Handles the outputs
class Output
{
protected:
  /// List of output media used
  std::vector<OutputMedium*> output_media ;

  /** @name Operations */
  //@{
  void initialise_output_media(void) ;
  void initialise_output_terminal(void) ;
  void initialise_output_csv(void) ;
  void initialise_output_udp_socket(void) ;
  void initialise_output_tcpevaal_socket(void) ;
  //@}

public:
  Output(void) ;

  ~Output(void) ;

  /** @name Operations */
  //@{
  void write(const ResultList &results) const ;
  //@}
} ;

#endif // _OWLPS_POSITIONING_OUTPUT_HH_
