#ifndef _OWLPS_POSITIONING_POSITIONING_HH_
#define _OWLPS_POSITIONING_POSITIONING_HH_

class PositioningAlgorithm ;

#include "input.hh"
#include "output.hh"

#include <vector>

/// \brief Computes \link Result results \endlink from \link Request
/// requests \endlink using one or more \link PositioningAlgorithm
/// positioning algorithms \endlink
class Positioning
{
protected:
  Input input ;
  Output output ;
  std::vector<PositioningAlgorithm*> algorithms ;

  void initialise_algorithms(void) ;
  void loop(void) ;

public:
  Positioning(void) ;
  ~Positioning(void) ;
} ;

#endif // _OWLPS_POSITIONING_POSITIONING_HH_
