#include "radar.hh"
#include "stock.hh"
#include "configuration.hh"



const ReferencePoint& RADAR::select_point(const Request &request)
{
  if (Configuration::bool_value(
        "positioning.radar-average-reference-points"))
    return Stock::closest_reference_point(request) ;

  const CalibrationRequest &cr =
    Stock::closest_calibration_request(request) ;
  return *cr.get_reference_point() ;
}
