#ifndef _OWLPS_POSITIONING_RADAR_HH_
#define _OWLPS_POSITIONING_RADAR_HH_

#include "cartographyalgorithm.hh"

/// Computes a position selecting the 1-closest point in SS cartography
/**
 * This class is named after the positioning system conceived by Paramvir
 * Bahl and Venkata N. Padmanabhan in their paper "RADAR: An In-Building
 * RF-Based User Location and Tracking System" (2000). For more details,
 * see: http://citeseer.ist.psu.edu/bahl00radar.html
 */
class RADAR: public CartographyAlgorithm
{
public:
  RADAR(void): PositioningAlgorithm("RADAR") {}
  ~RADAR(void) {}

  const ReferencePoint& select_point(const Request &request) ;
} ;

#endif // _OWLPS_POSITIONING_RADAR_HH_
