#ifndef _OWLPS_POSITIONING_REALPOSITION_HH_
#define _OWLPS_POSITIONING_REALPOSITION_HH_

#include "positioningalgorithm.hh"

/// Pseudo-algorithm that "computes" the real position
/**
 * The real position is extracted from CalibrationRequests. If the
 * request is a simple Request, the computed position is (0;0;0).
 */
class RealPosition: public PositioningAlgorithm
{
public:
  RealPosition(void): PositioningAlgorithm("Real") {}

  Result compute(const Request &request) ;
} ;

#endif // _OWLPS_POSITIONING_REALPOSITION_HH_
